SessionIdGenerator (Apache Tomcat 10.0.27 API Documentation)

Package org.apache.catalina

## Interface SessionIdGenerator

- All Known Implementing Classes:
    `SessionIdGeneratorBase`, `StandardSessionIdGenerator`

      public interface SessionIdGenerator

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `generateSessionId()` | Generate and return a new session identifier.
    `java.lang.String` | `generateSessionId​(java.lang.String route)` | Generate and return a new session identifier.
    `java.lang.String` | `getJvmRoute()` |
    `int` | `getSessionIdLength()` |
    `void` | `setJvmRoute​(java.lang.String jvmRoute)` | Specify the node identifier associated with this node which will be included in the generated session ID.
    `void` | `setSessionIdLength​(int sessionIdLength)` | Specify the number of bytes for a session ID

- - ### Method Detail

    - #### getJvmRoute

          java.lang.String getJvmRoute()

      Returns:
        the node identifier associated with this node which will be included in the generated session ID.

    - #### setJvmRoute

          void setJvmRoute​(java.lang.String jvmRoute)

      Specify the node identifier associated with this node which will be included in the generated session ID.
      Parameters:
        `jvmRoute` - The node identifier

    - #### getSessionIdLength

          int getSessionIdLength()

      Returns:
        the number of bytes for a session ID

    - #### setSessionIdLength

          void setSessionIdLength​(int sessionIdLength)

      Specify the number of bytes for a session ID
      Parameters:
        `sessionIdLength` - Number of bytes

    - #### generateSessionId

          java.lang.String generateSessionId()

      Generate and return a new session identifier.
      Returns:
        the newly generated session id

    - #### generateSessionId

          java.lang.String generateSessionId​(java.lang.String route)

      Generate and return a new session identifier.
      Parameters:
        `route` - node identifier to include in generated id
      Returns:
        the newly generated session id